process-cpp: core::posix::ProcessGroup Class Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Classes | Public Member Functions | Protected Member Functions | Friends | List of all members
core::posix::ProcessGroup Class Reference

The ProcessGroup class models a signalable group of process. More...

`#include <process_group.h>`

Inheritance diagram for core::posix::ProcessGroup:
Collaboration diagram for core::posix::ProcessGroup:

## Classes
struct | Private

## Public Member Functions
virtual pid_t | id () const
| Accesses the id of this process group. More...
Public Member Functions inherited from core::posix::Signalable
virtual void | send_signal_or_throw (Signal signal)
| Sends a signal to this signalable object. More...
virtual void | send_signal (Signal signal, std::error_code &e) noexcept(true)
| Sends a signal to this signalable object. More...

## Protected Member Functions
CORE_POSIX_DLL_LOCAL | ProcessGroup (pid_t id)
Protected Member Functions inherited from core::posix::Signalable
CORE_POSIX_DLL_LOCAL | Signalable (pid_t pid)

## Friends
class | Process

## Detailed Description

The ProcessGroup class models a signalable group of process.

Summary from http://en.wikipedia.org/wiki/Process_group:

In POSIX-conformant operating systems, a process group denotes a collection of one or more processes. Process groups are used to control the distribution of signals. A signal directed to a process group is delivered individually to all of the processes that are members of the group.

Definition at line 43 of file process_group.h.

## Constructor & Destructor Documentation

## ◆ ProcessGroup()

core::posix::ProcessGroup::ProcessGroup | ( | pid_t | id | ) |
| protected

Definition at line 35 of file process_group.cpp.

## Member Function Documentation

## ◆ id()

pid_t core::posix::ProcessGroup::id | ( |  | ) | const
| virtual

Accesses the id of this process group.

Returns
  The id of this process group.

Definition at line 30 of file process_group.cpp.

## Friends And Related Function Documentation

## ◆ Process

friend class Process
| friend

Definition at line 53 of file process_group.h.

The documentation for this class was generated from the following files:

- /build/process-cpp/src/process-cpp-3.0.1/include/core/posix/process_group.h
- /build/process-cpp/src/process-cpp-3.0.1/src/core/posix/process_group.cpp